Subject: RE: Console and GenerateConsoleCtrlEvent
From: [email-masked] ("Boatwright, Charles")

10 Jul 1997 20:17:02 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=Canon_Informatio%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
Original-Cc: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.994.63
Original-Sender: [email-masked]

Does the process have a console?

In NT, console processes run in the lower 
2 Gigs.  Win32 GUIs run in the upper to 2 
Gigs.  This is the source of the problem.  
If I remember correctly, If a console porcess 
does not have a Window, then it can't access 
any of the message queues.  This info is 
available in MSDEV.  Dig DEEP 
into the CreateProcess Call.  Also 
check MSDN

-cb

>----------
>From: 	[email-masked][SMTP:[email-masked]]
>Sent: 	Wednesday, July 09, 1997 10:54 AM
>To: 	[email-masked]
>Subject: 	Console and GenerateConsoleCtrlEvent
>
>iI am trying to stop a process with the 'GneerateConsoleCtrlEvent' API, but
>I get always an Invalid handle error, even if the handle I am passing to it
>seem absolutely OK.
>
>I am doing this from a GUI program.
>
>--snip--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".